body {
    margin: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    text-align: center;
}

.container {
  position: relative; /* Required so ::before positions correctly */
  width: 100%;
  min-height: 100vh; /* Example: make container full screen */
  /* overflow: hidden; /* Optional: hides overflow from the ::before */
  text-align: center;
}

/* NAV SPECIFIC STYLING------------------------------------------------------------------------------------ */

nav {
    width: 40%;
    position: relative;
    background-color: rgba(0, 0, 0, 0.48); 
    list-style-type: none;
    margin: 20px auto 0 auto;
    max-height: 80px;
    padding: 10px 0;
    border-radius: 40px;

    /* GRADIANT!!! */
    background: linear-gradient(90deg, #9124da, #24d1da);

    /* SHADOW-THING!!! */

    box-shadow: 0 0 20px #9124da, 0 0 40px #24d1da;
}

nav ul {
    list-style: none;
    display: flex;
    justify-content: flex-start;
    padding-left: 82px;
    align-items: center;
}

nav li{
    margin: 0 15px;
}

.neon-button {
 font-size: 32px;
 color: #fff;
 text-decoration: none;
 opacity: 0.5;
 border-radius: 5px;
 border: none;
 overflow: hidden;
 transition: box-shadow 0.4s ease;
}

.neon-button::before {
 content: "";
 position: absolute;
 top: 50%;
 left: 50%;
 transform: translate(-50%, -50%);
 background-color: rgba(255, 255, 255, 0.3);
 border-radius: 50%;
 z-index: 0;
 transition: opacity 0.4s ease;
}

.neon-button:hover::before {
 opacity: 0;
}

.neon-button:hover {
 text-shadow: 0 0 10px #9124da, 0 0 20px #9124da, 0 0 30px #9124da;
 opacity: 1;
}

/*------------------------------------------------------------------------------------------- */








/* Styling for projects card, list.html */

.projects-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    padding: 20px;
}

.project-card {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    width: 80%;
    height: 200px;
    max-width: 1000px;
    background-color: rgba(255, 255, 255, 0.3);
    border-radius: 12px;
    padding: 15px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.48);
    transition: transform 0.3s ease;
    background-color: rgba(0, 0, 0, 0.48);
    box-shadow: 0 0 10px #9124da, 0 0 30px #9124da;
    border: 2px solid #9124da;
}

.project-card:hover {
    transform: translateY(-5px);
}

.project-image {
    width: 200px;
    height: 200px;
    object-fit: cover;
    border-radius: 8px;
    margin-right: 20px;
}

.project-info {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    margin: 0;
    flex: 1;
}

.project-info h2 {
    margin: 2px 0;
    font-size: 1.5em;
    color:#c0c2c2
}

.project-info p {
    margin: 2px 0;
    text-align: left;
    margin-top: auto;
    color: #ffffff;
}

body.list-page{
    background-image: url("/static/background-project.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.search-bar {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-bottom: 50px;
    margin-top: 50px;
}

.search-input {
    width: 500px;
    padding: 10px 15px;
    border-radius: 30px;
    border: 2px solid #9124da;
    background-color: rgba(0, 0, 0, 0.48);
    color: #fff;
    font-size: 16px;
    outline: none;
    transition: all 0.3s ease;
}

.search-button {
    padding: 10px 10px;
    color: #24d1da;
    border-radius: 30px;
    border: 2px solid #9124da;
    background-color: #000000ee;
}

.sort-select {
    padding: 10px 12px;
    font-size: 16px;
    border-radius: 8px;
    border: 2px solid #9124da;
    background-color: rgba(0, 0, 0, 0.48);
    color: #fff;
    transition: all 0.3s ease;
}

/*--------------------------------------------------------------------------------------------*/





/* Techniques.html syling!! -----------------------------------------------------------------*/

body.techniques-page{
    background-image: url("/static/techniques-background.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.tech-label {
    display: inline-block;
    padding: 10px 10px;
    color: #24d1da;
    border-radius: 30px;
    border: 2px solid #9124da;
    background-color: #000000ee;
    margin-bottom: 50px;
    margin-top: 50px;
}

/*--------------------------------------------------------------------------------*/





/* Styling for the project page! --------------------------------------------------*/

body.project-page{
    background-image: url("/static/project-background.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;

    color: #ffffff;
}

.project-detail-card {
    background-color: rgba(0, 0, 0, 0.7);
    padding: 30px;
    border-radius: 15px;
    max-width: 900px;
    margin: 40px auto;
    color: #fff;
    box-shadow: 0 0 20px rgba(0,0,0,0.6);
}

.big-image {
    width: 400px;
    height: 400px;
    object-fit: cover;
    border-radius: 8px;
    margin-right: 20px;
}

/*------------------------------------------------------------------------------------*/


/* Regular */
@font-face {
  font-family: 'robot_heroes';
  src: url('fonts/robot_heroes_font.otf') format('opentype');
font-weight: 400;
font-style: normal;
}

/* Bold */
@font-face {
  font-family: 'robot_heroes';
  src: url('fonts/robot_heroes_font.otf') format('opentype');
  font-weight: 700;
  font-style: normal;
}

/* Italic */
@font-face {
  font-family: 'robot_heroes';
  src: url('fonts/robot_heroes_italic_font.otf') format('opentype');
  font-weight: 400;
  font-style: italic;
}

/* Bold Italic */
@font-face {
  font-family: 'robot_heroes';
  src: url('fonts/robot_heroes_italic_font.otf') format('opentype');
  font-weight: 700;
  font-style: italic;
}

body {
    margin: 0;
    font-family: 'robot_heroes','Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    text-align: center;
}

/* INDEX */

.first-page{
    background-image: url("/static/images/index_background.jpg");
}

.second-page {
    background-image: url("/static/images/neon-grid.jpg");
}

.third-page {
    background-image: url("/static/images/deep_space.jpg");
}

.first-page,
.second-page,
.third-page {
  height: 100vh;              /* Full viewport height */
  width: 100%;                /* Full width */
  background-size: cover;     /* Scale the image to cover */
  background-position: center;/* Center the image */
  background-repeat: no-repeat;
  display: flex;              /* Optional - centers content */
  flex-direction: column;
  justify-content: center;
  color: white;               /* Example for readability */
}

/* FIRST PAGE - AUTHOR & SOCIAL MEDIA */

.author_info{
    margin-top: 8em;
    margin-left: auto;      
    margin-right: auto;

    display: grid;
    place-content: center;
    max-width: fit-content;
    padding: 0 10px;

    border-style: solid;
    border-color: black;

    font-size: 3em;
    color: black;
    text-align: center;
}

.social-media ul{
    display: flex;
    justify-content: center;
    list-style-type: none;
    border-style: none;
    padding-right: 40px;
    padding-top: 22em;
    font-size: 1em;
    gap:5em;
}

.icon {
    width: 100%;
    max-width: 75px; /* Limit size */
    height: auto;     /* Maintain aspect ratio */
}

/* SECOND PAGE - FAVOURITE PROJECTS */

.favourite-projects{
    font-family: 'robot_heroes';
    margin-left: 30px;
    margin-right: 30px;
}

.favourite-projects{
    font-family: 'robot_heroes';
    font-size: 4em;
    color: white;
    display: grid;
    place-content: center;
}

/* THIRD PAGE - ABOUT ME */

.portrait {
    display: block;

    margin: auto;
    margin-top: 180px;

    max-width: 170px;
    height: auto;

    border: 0.2rem solid #fff;
    border-radius: 2rem;
    padding: 0.4em;
    box-shadow: 0 0 .2rem #fff,
            0 0 .2rem #fff,
            0 0 2rem #bc13fe,
            0 0 0.8rem #bc13fe,
            0 0 2.8rem #bc13fe,
            inset 0 0 1.3rem #bc13fe; 
}

.about_me {
    display: block;
    place-content: center;
    font-family: 'robot_heroes';
    margin: auto;
    height:max-content;
    max-width: 65%;
    border: 0.2rem solid #fff;
    border-radius: 2rem;
    padding: 1.5em;
    box-shadow: 0 0 .2rem #fff,
                0 0 .2rem #fff,
                0 0 2rem #bc13fe,
                0 0 0.8rem #bc13fe,
                0 0 2.8rem #bc13fe,
                inset 0 0 1.3rem #bc13fe; 
    color: rgb(235, 229, 229);
    background-color: black;
}
